aboutsummaryrefslogtreecommitdiffstats
path: root/main/kbd/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/kbd/APKBUILD')
-rw-r--r--main/kbd/APKBUILD39
1 files changed, 28 insertions, 11 deletions
diff --git a/main/kbd/APKBUILD b/main/kbd/APKBUILD
index 2e88b4e111..e42cf218f0 100644
--- a/main/kbd/APKBUILD
+++ b/main/kbd/APKBUILD
@@ -1,17 +1,22 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=kbd
-pkgver=2.0.1
-pkgrel=1
+pkgver=2.0.2
+pkgrel=0
pkgdesc="Tools for configuring the console (keyboard, virtual terminals, etc.)"
url="http://ftp.altlinux.org/pub/people/legion/kbd"
-arch=""
+arch="all"
license="GPL2+"
depends="kbd-misc"
makedepends="bison flex autoconf automake linux-pam-dev check-dev"
install=""
subpackages="$pkgname-misc $pkgname-doc"
-source="ftp://ftp.altlinux.org/pub/people/legion/kbd/kbd-$pkgver.tar.gz"
+source="ftp://ftp.altlinux.org/pub/people/legion/kbd/kbd-$pkgver.tar.gz
+ 0001-Replace-u_short-with-unsigned-short.patch
+ 0002-Fix-required-header-includes.patch
+ 0003-Only-inluclude-kernel-headers-with-glibc.patch
+ error.h
+ "
_builddir="$srcdir"/kbd-$pkgver
prepare() {
@@ -22,14 +27,14 @@ prepare() {
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
- aclocal -I m4 && automake --add-missing && autoreconf || return 1
- sed -i '1i#include <stdarg.h>' src/libkeymap/keymap/common.h
+# aclocal -I m4 && automake --add-missing && autoreconf || return 1
+
+ # install our error.h
+ cp "$srcdir"/error.h . || return 1
# fixes from fedora
# 7-bit maps are obsolete; so are non-euro maps
cd "$_builddir"/data/keymaps/i386
- mv qwerty/fi.map qwerty/fi-old.map
- cp qwerty/fi-latin9.map qwerty/fi.map
cp qwerty/pt-latin9.map qwerty/pt.map
cp qwerty/sv-latin1.map qwerty/se-latin1.map
@@ -93,6 +98,18 @@ misc() {
mv "$pkgdir"/lib/kbd "$subpkgdir"/lib/
}
-md5sums="cc0ee9f2537d8636cae85a8c6541ed2e kbd-2.0.1.tar.gz"
-sha256sums="75e78834e60adc1e95a479f9946a836f8a4f1e05bc0332660d3582c44bbc3019 kbd-2.0.1.tar.gz"
-sha512sums="666b5ad251036a69ae32dcac6d436602aa0c8da9adf8babb56ff4489fe61757d3ce10fc749694fbb5d1a5192da0999694ac7643a562fb88ab2a58897e0090dc2 kbd-2.0.1.tar.gz"
+md5sums="f1f75f0dd5f7dde89ce47585274366f8 kbd-2.0.2.tar.gz
+7945e2d7f13cc2896233bf5e1de8e4e2 0001-Replace-u_short-with-unsigned-short.patch
+4e04e0c7307e89193b7dc2cd889be0a5 0002-Fix-required-header-includes.patch
+31027a70335ff0a5e9f3b779d70920ce 0003-Only-inluclude-kernel-headers-with-glibc.patch
+1a5b152db18674deec07ab7c6209267a error.h"
+sha256sums="b1e4c796601039d3b63da908c27431a36e7af06d4d964cd3f8821a880eb3c021 kbd-2.0.2.tar.gz
+d55432213b14d677af73eb5b919327bd9fe03dd6fcad059f5d345901d6029e96 0001-Replace-u_short-with-unsigned-short.patch
+e1e6c482d4c00ace48938f4888a23992ae3cc16674a0d5d1f1f07eb57afac550 0002-Fix-required-header-includes.patch
+e2d49d91309b6b2450de7aa32be1807284958cf66cd9e4ee823dbb0afaf11772 0003-Only-inluclude-kernel-headers-with-glibc.patch
+0124ef103407469af4ea19884e2ed7e4546f08b58c129e1e8ef36569831f4b36 error.h"
+sha512sums="68832bddd6b91693110d1e26d3911bcd3c151003f83905571dcba05480ba484adc5bfe7d31a3b987bd930703d153724fb8eb9ae7cc26cff97be65a4f5ccb547b kbd-2.0.2.tar.gz
+0487a90382201a162405618e983fb2a227c6f07258a498c6850b5ddcd36d5c836446b4c7883a494421a3dc34a60b164bb6ce10350c777bc0cb1f610d4fe6a0ca 0001-Replace-u_short-with-unsigned-short.patch
+c3689db8777566dd92c6d38fadc1d8676d00926c711d5bb8b561547aaeb4d93b67998ac3f2b17faaa475e7c85a9e51c71b87cd92b6099ee118c19de58bc195aa 0002-Fix-required-header-includes.patch
+13af714a54562ebc1ac6b19f24f75704b452faf543705e9e6a8c53e8080f5edffb49ddde26a876da71e6ca34b275c3407525d6d3446c543181d2eff2b784541b 0003-Only-inluclude-kernel-headers-with-glibc.patch
+c66f6b0d8c8b8d285c740bdbe7130dee272ac01cd5e73b35a58cedf1a77fe8d9e062631b804fb58014d8eb9861c8f28aed07bc022ef31662bcc61b5c85a21752 error.h"